import numpy as np
import matplotlib.pyplot as P
P.rcParams['font.size'] = 16
H,nue = np.array([0,0.1,0.6,0.8,1.0,1.3,1.5]),np.array([1.59,1.60, 1.51, 1.46, 1.41, 1.3, 1.2])

def nu(nuQ,H,Hc):
    return abs(nuQ/2*(3*(H/Hc)**2-1))

fig,ax=P.subplots(figsize=(7,6))
nuQ0 = 3.15
ax.plot(H,nue,'bo')
h = np.linspace(0,1,101)
Hc=5.25
ax.plot(Hc*h,nu(nuQ0,Hc*h,Hc),'r-.')

Hcm, HcM = 5.1,5.4
ax.fill_betweenx(nu(nuQ0,h,1),Hcm*h,HcM*h,color='r',alpha=0.4)
ax.text(3.5,2.3,'(e)')
ax.set_xlabel(r'$\mu_0 H$ [T]')
ax.set_ylabel(r'$\Delta\nu(\theta(H))$ [MHz]')
ax.set_xlim(0,5.4)
ax.set_ylim(0,nuQ0)
P.subplots_adjust(top=0.95,
bottom=0.145,
left=0.13,
right=0.94)
fig2,ax2 = P.subplots(figsize=(6,6))

theta = np.rad2deg(np.arcsin(H/Hc))
thetaM = np.rad2deg(np.arcsin(H/Hcm))
thetam = np.rad2deg(np.arcsin(H/HcM))
etheta = np.maximum(theta-thetam,thetaM-theta)
ax2.errorbar(H,theta,yerr=etheta,fmt='o',color='b')
ax2.plot(Hc*h,np.rad2deg(np.arcsin(h)),'r--')
ax2.fill_betweenx(np.rad2deg(np.arcsin(h)),Hcm*h,HcM*h,color='r',alpha=0.4)
ax2.text(3.5,70,'(f)')
ax2.set_xlabel(r'$\mu_0 H$ [T]')
ax2.set_ylabel(r'$\theta(H)$ [deg]')
ax2.set_xlim(0,5.4)
ax2.set_ylim(0,90)
P.subplots_adjust(top=0.95,
bottom=0.145,
left=0.13,
right=0.94)
P.show()

